<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>


    <parent>
        <groupId>com.ywt</groupId>
        <artifactId>ywt-parent</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

    <artifactId>ywt-platform-glasses-parent</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <properties>
        <pinyin4j.version>2.5.1</pinyin4j.version>
        <commons-beanutils.version>1.9.2</commons-beanutils.version>
        <service.version>1.0.0-SNAPSHOT</service.version>
        <ywt-biz-common.version>1.0.0-SNAPSHOT</ywt-biz-common.version>
        <ywt-platform-order-base.version>1.0.0-SNAPSHOT</ywt-platform-order-base.version>
        <ywt-platform-msg-base.version>1.0.0-SNAPSHOT</ywt-platform-msg-base.version>
    </properties>

    <modules>
        <module>ywt-platform-glasses-common</module>
        <module>ywt-platform-glasses-base</module>
        <module>ywt-platform-glasses-sdk</module>
        <module>ywt-platform-glasses-web</module>
    </modules>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-glasses-base</artifactId>
                <version>${service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-glasses-common</artifactId>
                <version>${service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-glasses-sdk</artifactId>
                <version>${service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-order-base</artifactId>
             <version>${ywt-platform-order-base.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-msg-base</artifactId>
                <version>${ywt-platform-msg-base.version}</version>
            </dependency>

            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-biz-common</artifactId>
                <version>${ywt-biz-common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.belerweb</groupId>
                <artifactId>pinyin4j</artifactId>
                <version>${pinyin4j.version}</version>
            </dependency>
            <!-- BeanUtils的依赖 -->
            <dependency>
                <groupId>commons-beanutils</groupId>
                <artifactId>commons-beanutils</artifactId>
                <version>${commons-beanutils.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>
    </dependencies>

</project>